/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { TypedEventEmitter } from "@fluidframework/common-utils";
import * as core from "@fluidframework/server-services-core";
import { ICollaborationSessionEvents } from "./interfaces";
export { IBroadcastSignalEventPayload, ICollaborationSessionEvents, IRoom } from "./interfaces";
export declare function configureWebSocketServices(webSocketServer: core.IWebSocketServer, orderManager: core.IOrdererManager, tenantManager: core.ITenantManager, storage: core.IDocumentStorage, clientManager: core.IClientManager, metricLogger: core.IMetricClient, logger: core.ILogger, maxNumberOfClientsPerDocument?: number, numberOfMessagesPerTrace?: number, maxTokenLifetimeSec?: number, isTokenExpiryEnabled?: boolean, isClientConnectivityCountingEnabled?: boolean, isSignalUsageCountingEnabled?: boolean, cache?: core.ICache, connectThrottlerPerTenant?: core.IThrottler, connectThrottlerPerCluster?: core.IThrottler, submitOpThrottler?: core.IThrottler, submitSignalThrottler?: core.IThrottler, throttleAndUsageStorageManager?: core.IThrottleAndUsageStorageManager, verifyMaxMessageSize?: boolean, socketTracker?: core.IWebSocketTracker, revokedTokenChecker?: core.IRevokedTokenChecker, collaborationSessionEventEmitter?: TypedEventEmitter<ICollaborationSessionEvents>): void;
//# sourceMappingURL=index.d.ts.map