/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { INack, ISequencedDocumentMessage, ISignalMessage } from "@fluidframework/protocol-definitions";
import { IClientManager, IContext, IPartitionLambda, IPublisher, IQueuedMessage, IServiceConfiguration } from "@fluidframework/server-services-core";
export declare class BroadcasterLambda implements IPartitionLambda {
    private readonly publisher;
    private readonly context;
    private readonly serviceConfiguration;
    private readonly clientManager;
    private pending;
    private pendingOffset;
    private current;
    private messageSendingTimerId;
    constructor(publisher: IPublisher<ISequencedDocumentMessage | INack | ISignalMessage>, context: IContext, serviceConfiguration: IServiceConfiguration, clientManager: IClientManager | undefined);
    handler(message: IQueuedMessage): Promise<undefined>;
    close(): void;
    hasPendingWork(): boolean;
    private sendPending;
}
//# sourceMappingURL=lambda.d.ts.map