/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
/// <reference types="node" />
import { EventEmitter } from "events";
import { IContext, IPublisher, IPartitionLambda, IPartitionLambdaFactory, IServiceConfiguration, IClientManager } from "@fluidframework/server-services-core";
export declare class BroadcasterLambdaFactory extends EventEmitter implements IPartitionLambdaFactory {
    private readonly publisher;
    private readonly serviceConfiguration;
    private readonly clientManager;
    constructor(publisher: IPublisher, serviceConfiguration: IServiceConfiguration, clientManager: IClientManager | undefined);
    create(config: undefined, context: IContext): Promise<IPartitionLambda>;
    dispose(): Promise<void>;
}
//# sourceMappingURL=lambdaFactory.d.ts.map