/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
/// <reference types="node" />
import { EventEmitter } from "events";
import { ICheckpointService, ICollection, IContext, IDeltaService, IDocumentRepository, IPartitionLambda, IPartitionLambdaConfig, IPartitionLambdaFactory, IProducer, ISequencedOperationMessage, IServiceConfiguration, ITenantManager, MongoManager } from "@fluidframework/server-services-core";
export declare class ScribeLambdaFactory extends EventEmitter implements IPartitionLambdaFactory<IPartitionLambdaConfig> {
    private readonly mongoManager;
    private readonly documentRepository;
    private readonly messageCollection;
    private readonly producer;
    private readonly deltaManager;
    private readonly tenantManager;
    private readonly serviceConfiguration;
    private readonly enableWholeSummaryUpload;
    private readonly getDeltasViaAlfred;
    private readonly verifyLastOpPersistence;
    private readonly transientTenants;
    private readonly disableTransientTenantFiltering;
    private readonly checkpointService;
    private readonly restartOnCheckpointFailure;
    private readonly kafkaCheckpointOnReprocessingOp;
    private readonly maxLogtailLength;
    constructor(mongoManager: MongoManager, documentRepository: IDocumentRepository, messageCollection: ICollection<ISequencedOperationMessage>, producer: IProducer, deltaManager: IDeltaService, tenantManager: ITenantManager, serviceConfiguration: IServiceConfiguration, enableWholeSummaryUpload: boolean, getDeltasViaAlfred: boolean, verifyLastOpPersistence: boolean, transientTenants: string[], disableTransientTenantFiltering: boolean, checkpointService: ICheckpointService, restartOnCheckpointFailure: boolean, kafkaCheckpointOnReprocessingOp: boolean, maxLogtailLength: number);
    create(config: IPartitionLambdaConfig, context: IContext): Promise<IPartitionLambda>;
    private getOpMessages;
    dispose(): Promise<void>;
    private sendLambdaStartResult;
}
//# sourceMappingURL=lambdaFactory.d.ts.map