/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { ICollection, IContext, IQueuedMessage, IPartitionLambda } from "@fluidframework/server-services-core";
export declare class ScriptoriumLambda implements IPartitionLambda {
    private readonly opCollection;
    protected context: IContext;
    private readonly providerConfig;
    private pending;
    private pendingOffset;
    private current;
    private readonly clientFacadeRetryEnabled;
    private readonly telemetryEnabled;
    private pendingMetric;
    private readonly maxDbBatchSize;
    private readonly restartOnCheckpointFailure;
    constructor(opCollection: ICollection<any>, context: IContext, providerConfig: Record<string, any> | undefined);
    handler(message: IQueuedMessage): undefined;
    close(): void;
    private sendPending;
    private logErrorTelemetry;
    private processMongoCore;
    private insertOp;
}
//# sourceMappingURL=lambda.d.ts.map