"use strict";
/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.ScriptoriumLambdaFactory = void 0;
const events_1 = require("events");
const lambda_1 = require("./lambda");
class ScriptoriumLambdaFactory extends events_1.EventEmitter {
    constructor(mongoManager, opCollection, providerConfig) {
        super();
        this.mongoManager = mongoManager;
        this.opCollection = opCollection;
        this.providerConfig = providerConfig;
    }
    async create(config, context) {
        // Takes in the io as well as the collection. I can probably keep the same lambda but only ever give it stuff
        // from a single document
        return new lambda_1.ScriptoriumLambda(this.opCollection, context, this.providerConfig);
    }
    async dispose() {
        await this.mongoManager.close();
    }
}
exports.ScriptoriumLambdaFactory = ScriptoriumLambdaFactory;
//# sourceMappingURL=lambdaFactory.js.map