/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { IClient, INack, ISignalMessage, NackErrorType } from "@fluidframework/protocol-definitions";
export declare const createNackMessage: (code: number, type: NackErrorType, message: string, retryAfterInSec?: number | undefined) => INack;
export declare function createRoomJoinMessage(clientId: string, client: IClient): ISignalMessage;
export declare const createRoomLeaveMessage: (clientId: string) => ISignalMessage;
/**
 * Mirrors ISignalEnvelope from runtime definitions, for signals that come from an external
 * caller (not sent by a client (so no 'clientSignalSequenceNumber') and are always addressed
 * to the Container (so no 'address').
 */
export interface IRuntimeSignalEnvelope {
    contents: {
        type: string;
        content: any;
    };
}
/**
 * Template for runtime messages to be sent to an ongoing client collaboration session.
 */
export declare const createRuntimeMessage: (signalContent: IRuntimeSignalEnvelope) => ISignalMessage;
//# sourceMappingURL=messageGenerator.d.ts.map